
package de.ivu.elect.interfaces.core;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Anschrift implements Serializable {

  private static final long serialVersionUID = 1L;

  // required = false für Abwärtskompatibilität
  @XmlElement(required = false)
  private AnschriftArt anschriftArt;

  @XmlElement(required = false)
  private String strasse;

  @XmlElement(required = false)
  private String hausnummer;

  @XmlElement(required = false)
  private String hausnummerzusatz;

  @XmlElement(required = false)
  private String wohnungsnummer;

  @XmlElement(required = false)
  private String plz;

  @XmlElement(required = false)
  private String ort;

  @XmlElement(required = false)
  private String ortsteil;

  @XmlElement(required = false)
  private String staat;

  @XmlElement(required = false)
  private String postfach;

  @XmlElement(required = false)
  private String zustellanweisung;

  /**
   * @deprecated
   * @see Anschrift#zustellanweisung
   */
  @Deprecated
  @XmlElement(required = false)
  private String zustellanweidung;

  @XmlElement(required = false)
  private String bundesland;

  @XmlElement(required = false)
  private String customData;

  public Anschrift() {
    super();
  }

  public AnschriftArt getAnschriftArt() {
    return anschriftArt;
  }

  public void setAnschriftArt(AnschriftArt anschriftArt) {
    this.anschriftArt = anschriftArt;
  }

  public String getCustomData() {
    return customData;
  }

  public void setCustomData(String customData) {
    this.customData = customData;
  }

  public String getStrasse() {
    return strasse;
  }

  public void setStrasse(String strasse) {
    this.strasse = strasse;
  }

  public String getHausnummer() {
    return hausnummer;
  }

  public void setHausnummer(String hausnummer) {
    this.hausnummer = hausnummer;
  }

  public String getHausnummerzusatz() {
    return hausnummerzusatz;
  }

  public void setHausnummerzusatz(String hausnummerzusatz) {
    this.hausnummerzusatz = hausnummerzusatz;
  }

  public String getWohnungsnummer() {
    return wohnungsnummer;
  }

  public void setWohnungsnummer(String wohnungsnummer) {
    this.wohnungsnummer = wohnungsnummer;
  }

  public String getPlz() {
    return plz;
  }

  public void setPlz(String plz) {
    this.plz = plz;
  }

  public String getOrt() {
    return ort;
  }

  public void setOrt(String ort) {
    this.ort = ort;
  }

  public String getOrtsteil() {
    return ortsteil;
  }

  public void setOrtsteil(String ortsteil) {
    this.ortsteil = ortsteil;
  }

  public String getStaat() {
    return staat;
  }

  public void setStaat(String staat) {
    this.staat = staat;
  }

  public String getPostfach() {
    return postfach;
  }

  public void setPostfach(String postfach) {
    this.postfach = postfach;
  }

  public String getBundesland() {
    return bundesland;
  }

  public void setBundesland(String bundesland) {
    this.bundesland = bundesland;
  }

  public String getZustellanweisung() {
    return zustellanweisung;
  }

  public void setZustellanweisung(String zustellanweisung) {
    this.zustellanweisung = zustellanweisung;
  }

  /**
   * @deprecated
   * @see Anschrift#getZustellanweisung
   */
  @Deprecated
  public String getZustellanweidung() {
    return zustellanweidung;
  }

  /**
   * @deprecated
   * @see Anschrift#setZustellanweisung
   */
  @Deprecated
  public void setZustellanweidung(String zustellanweidung) {
    this.zustellanweidung = zustellanweidung;
  }
}
